#!/bin/sh

#-----------------------------------------------------------------------
# /var/install/bin/update-chk03.sh - update-chk Arbeitsscript 03
#
# Creation:     2016-06-21  Helmut Backhaus
# Last Update:  2016-06-28  Helmut Backhaus
#
# Copyright (c) Helmut Backhaus helmut(dot)backhaus(at)gmx(dot)de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#-----------------------------------------------------------------------

# set -xv

#-----------------------------------------------------------------------
# Load eislib 
#-----------------------------------------------------------------------
. /var/install/include/eislib

#-----------------------------------------------------------------------
# Set needed variables
#-----------------------------------------------------------------------
script=$(pgrep update-chk01.sh)

#-----------------------------------------------------------------------
# Load funktion
#-----------------------------------------------------------------------
. /var/install/bin/update-chk.fk

#-----------------------------------------------------------------------
# Main
#-----------------------------------------------------------------------

# Check if the script is allready runing
if [ -n "$script" ] ; then
  mecho --stdbr "UPDATE CHECKER:"
  mecho --warn "The script is allready running and can not start again!"
  mecho --warn "Please try again later!"
  echo
  anykey
  exit 0
fi

# Start update-chk01 with option "no" set var
mecho --stdbr "Update Checker is now looking for updates, this will take a while!"
/var/install/bin/update-chk01.sh no &
script01=$(pgrep update-chk01.sh)

# Checking if script is still running
while [ -n "$script01" ]
do
  script01=$(pgrep update-chk01.sh)
  mecho --stdbr "Update Checker is still working hard ..."
  sleep 20
done

mecho --stdbr "Here are the results for you!"
mecho --stdbr "This data was colected by ${packagetool}!"
mecho --stdbr "---------------------------------------------------------"
echo

ergebnis

anykey

exit 0
